"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var common_tags_1 = require("common-tags");
var boxen_1 = require("../infrastructure/boxen");
var flags_1 = __importDefault(require("../cli/flags"));
var flagDescriptions = Object.entries(flags_1.default)
    .map(function (_a) {
    var flagKey = _a[0], flag = _a[1];
    return "    --" + flagKey + ", -" + flag.alias + "  " + flag.description;
})
    .join('\n');
var helpText = common_tags_1.stripIndent(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  Usage\n    $ qrscanner <input file>\n\n  Options\n", "\n    --version Show installed version\n    --help Show this help\n\n  Examples\n    $ qrscanner ./qrCode.jpg\n    ", "\n\n    $ qrscanner ./qrCode.jpg --clear\n    This message is written in a QR Code\n"], ["\n  Usage\n    $ qrscanner <input file>\n\n  Options\n", "\n    --version Show installed version\n    --help Show this help\n\n  Examples\n    $ qrscanner ./qrCode.jpg\n    ", "\n\n    $ qrscanner ./qrCode.jpg --clear\n    This message is written in a QR Code\n"])), flagDescriptions, boxen_1.greenBox('This message is written in a QR Code', { margin: 1 }));
exports.default = helpText;
var templateObject_1;
