"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.doOpen = exports.doFlagClipboard = exports.outputText = void 0;
var open_1 = __importDefault(require("open"));
var clipboardy_1 = __importDefault(require("clipboardy"));
var boxen_1 = require("../infrastructure/boxen");
var outputText = function (flags) { return function (text) {
    var output = flags.clear ? text : boxen_1.greenBox(text);
    console.log(output);
}; };
exports.outputText = outputText;
var doFlagClipboard = function (flags) { return function (text) {
    if (flags.clipboard) {
        clipboardy_1.default.writeSync(text);
    }
    return text;
}; };
exports.doFlagClipboard = doFlagClipboard;
var doOpen = function (flags) { return function (text) {
    if (flags.open) {
        open_1.default(text);
    }
    return text;
}; };
exports.doOpen = doOpen;
exports.default = {
    outputText: exports.outputText,
    doFlagClipboard: exports.doFlagClipboard,
    doOpen: exports.doOpen,
};
